@media (min-width: 576px) {
    .modal-confirm {
        width: 500px !important;
    }

    .qrcontain {
        gap: 0;
    }

    /* .mfacodeInput {
        margin-bottom: 12px;
    } */


}

@media (min-width: 1000px) {
    .auth-setup-dialog {
        width: 800px;
    }

}

@media (max-width: 1000px) {
    .qrsetup {
        flex-direction: column !important;
    }

    .mfa-setup-top {
        flex-direction: column !important;
    }

    .auth-setup-dialog {
        width: 80%;
    }

}

.mfa-modal h5 {
    font-family: Arial;
    font-size: 1.2em;
}

.mfa-modal button {
    font-family: Arial;
    font-size: 16px;
    padding: 7px 18px;
}

.qrcontain {
    margin-top: 15px;
    display: flex;
    justify-content: center;
    gap: 8px;
    margin-left: 20px;
    margin-right: 20px;
}

.qrsubmit {
    border-bottom: none !important;
    border-right: none !important;
    border-left: none !important;
    border-radius: 0 !important;
}


.qrsetup {
    border-bottom: 2px solid #dddddd;
    padding-bottom: 0;
    margin-bottom: 0;
}

.qrsubmit {
    flex-direction: column;
}



#qrcode {
    text-align: center;
}

#mfacode {
    padding: 10px;
    font-size: 11px;
    display: flex;
    flex-direction: column;
}

.mfa-qrcode-holder {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;

}

.mfa-modal.form-display {

    padding: 8px;
    font-size: 20px;
    color: blue;
    text-align: center;
    border-radius: 4px;
    border: 2px solid #e0e0e0;
    font-weight: bold;
    letter-spacing: .2rem;
    width: 244px;
    margin-top: 20px;
    height: 40px;
}

.mfa-modal.mfaerror {
    color: red;
    font-weight: bold;
    font-size: 18px;
}

.mfaerror {
    margin-bottom: 15px;
}

.mfa-modal.submit-button {
    height: 40px;
    margin-bottom: 6px;
    line-height: 0px;
}

.mfa-auth-line {
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    flex-direction: column;
}

.mfa-app-auth {
    display: flex;
}

.mfa-error {
    color: #C8194B;
}

.mfacodeInput-error {
    background-color: #F9E8ED !important;
    border: 2px solid #C8194B !important;
}

.mfacodeInput {
    padding: 5px 120px 5px 5px;
}

.errspan {
    margin-right: 20px;
    margin-top: -20px;
    margin-left: -40px;
    position: relative;
    z-index: 2;
    color: #C8194B;
}

.mfa-footer {
    padding: 0 0 !important;
}

.mfa-setup-footer {
    padding-right: 0;
}

.mfa-subhead {
    text-align: left;
    font-weight: bold;
}

.mfa-extra-code {
    border-top: solid 1px #d9d9d9;
    padding-top: 10px;
}

.mfa-code-blurb {
    text-align: left;
}

.mfa-resend-link {
    text-align: left;
    padding-top: 20px;
    padding-bottom: 15px;
    cursor: pointer;
}

.mfa-resend-link:hover {
    text-decoration: underline;
}

.mfa-env {
    padding-right: 10px;
}

.code-sent {
    text-align: left;
    font-weight: bold;
}

.mfa-resend-message {
    text-align: left;
}

.mfacodeInput-line {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.code-sent-pos {
    color: #00B16A;
    display: flex;
    align-items: center;
}

.mfa-sent {
    padding-right: 10px;
}

.mfa-error {
    text-align: left;
}

.mfacodeInputConfig {
    margin-right: 20px;
}

.modal-header {
    padding-left: 25px;
}



.mfa-help-link-i {
    margin-left: 10px;
}

.recommend-p {
    font-size: 14px;
}

.mfa-auth {
    display: flex;
    font-weight: bold;
    align-items: center;
    max-width: 165px;
    margin-bottom: 10px;
}

.auth-img {
    margin-right: 0.25rem;

}

.mfa-app {
    display: flex;
    align-items: center;
    cursor: pointer;
    text-align: left;
    text-transform: none;
}



.mfa-auth-line-top {
    border-bottom: 1px solid #dddddd;
    padding-bottom: 10px;
}

.mfa-auth-line-bottom {
    padding-top: 10px;
}

.mfa-store-img {
    width: 25px;
    padding-right: 4px;
}

.btn-mfa-r20 {
    margin-right: 10px;
}

.btn-mfa {
    font-size: 14px !important;
}

.mfa-setup-top {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.mfa-qrcode {
    margin-right: 5px;
}

.mfacode .qrcode-rollover-holder {
    display: flex;
    justify-content: flex-end;
    padding-right: 1.5rem;
    visibility: hidden;
}

.mfacode:hover .qrcode-rollover-holder {
    visibility: visible;
}

.qrcode-rollover {
    padding: 5px;
    padding-right: 20px;
    border-radius: 5px;
    margin-top: 10px;
    color: #ffffff;
}

.qrcode-rollover:before {
    bottom: 175%;
    border: solid transparent;
    content: "";
    height: 0;
    width: 0;
    position: relative;
    pointer-events: none;
}

.qrcode-rollover:before {
    /* border-bottom-color: #719ECE; */
    border-width: 10px;
    left: 50%;
    /* margin-left: -20px; */
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

.qrcode-shop {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#mfaqr-s,
#mfacode-s {
    margin-bottom: 10px;
}

.mfa-store-dialog {
    max-width: 500px;
}

.modal-title {
    font-weight: bold;
}

#mfa-store-link {
    margin-right: 12px;
}

.btn-primary:focus,
.btn-primary:focus-visible {
    border: none;
}

.checkmfa,
.checkmfa:hover {
    border: none !important;
}

#auth-setup {
    display: flex;
}

.mfa-auth-number {
    background: #2f71ac;
    color: #ffffff;
    border-radius: 50%;
    padding: 5px;
    margin-right: 20px;
    width: 30px;
    height: 30px;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
}

.auth-div {
    border: 2px solid #dddddd;
    margin-bottom: 10px;
}

.mfa-auth-header {
    display: flex;
    justify-content: space-between;
    margin: 5px 20px;
    align-items: center;
    cursor: pointer;
}

.mfa-auth-body-h {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    transition: max-height 0.3s ease, opacity 0.3s ease;

}

.mfa-auth-body-d {
    display: flex;
    flex-direction: column;
    opacity: 1;
    overflow: hidden;
    max-height: 200vh;
    transition: max-height 0.5s ease, opacity 0.1s ease;
}


#mfa-auth-body-no {
    margin: 20px;
    flex-direction: row;
}

.mfa-auth-closed #mfa-auth-body-no,
.mfa-auth-closed #mfa-auth-body-unsure {
    margin: 0;
    transition: margin 0.1s ease;
}


#mfa-auth-body-unsure {
    margin: 20px;
}

.mfa-auth-no-left {
    width: 50%;
    margin-right: 20px;
}

.mfa-auth-no-right {
    border-left: 2px solid #dddddd;
    padding-left: 20px;
}

.auth-chev {
    font-size: large;
}

.mfa-sent-msg {
    margin-bottom: 0;
}

.auth-div h4 {
    margin-top: 0.5rem;
}

.mfa-auth-closed:hover {
    box-shadow: inset 0 3px 5px rgba(0, 0, 0, .125);
}

.mfa-auth-closed,
.mfa-auth-closed .mfa-auth-ans,
.mfa-auth-closed .auth-chev {
    background: #F2F2F2;
}

.auth-div:focus-visible {
    outline: solid 2px #2f71ac;
}

.mfa-days {
    margin-bottom: 0.8rem;
}

.security-content .mfa-auth-quest {
    font-size: 2rem;
}

.security-content .mfa-auth-header {
    margin: 0 20px 5px 20px;
}